Skip to main content
POST
Start adding a card

Authorizations

Authorization
string
header
required

Bearer token for the authenticated caller.

Headers

idempotency-key
string

Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.

Required string length: 1 - 64
Example:

"create-prod-2026-05-07"

Path Parameters

billing_account
string
required
Required string length: 3 - 54

Response

PaymentSetupSession

client_secret
string
required
Required string length: 1 - 512
ui_mode
enum<string>
required
Available options:
embedded_page
publishable_key
string
required
Pattern: ^pk_(live|test)_[A-Za-z0-9]+$
expires_at
integer
required

Unix timestamp (seconds)

Required range: 0 <= x <= 9007199254740991